@import '../base/_variables.scss';

.progress-bar-border {
    position: relative;
    text-align: center;

    border: 2px solid $secondary-color-3;
    border-radius: 1em;

    color: $secondary-color-3;
    font-family: $default-font;
    font-weight: bold;
    
    margin: 1em auto;
    width: 90%;
}

.progress-bar {
    position: absolute;
    top: 0;
    left: 0;
    width: 0;

    background-color: $secondary-color-3;
    height: 100%;
    border-radius: 1em;

    z-index: -1;
}

.white {
    color: whitesmoke;
}

.blue {
    color: $secondary-color-3;
}

.yellow {
    color: $primary-color;
}